#
# spec file for package libmtp (Version 1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define debug_package_requires libmtp8 = %{version}-%{release}

Name:           libmtp
Url:            http://sf.net/projects/libmtp
BuildRequires:  doxygen
BuildRequires:  libusb-devel
License:        LGPL v2.1 or later
Group:          Productivity/Multimedia/Sound/Players
AutoReqProv:    on
Summary:        Commandline utilities for access to MTP Players
Version:        1.0.1
Release:        1
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains binaries and documentation that allow accessto
USB based media players based on the MTP (Media TransferProtocol)
authored by Microsoft.

Common devices using this technology are Creative Zen, iRiver, Samsung
and others.



Authors:
--------
    Richard Low <richard@wentnet.com>
    Linus Walleij <triad@df.lth.se>
    
    based on code by:
    Mariusz Woloszyn <emsi@ipartners.pl>
    Marcus Meissner <marcus@jet.franken.de>

%package -n libmtp8
License:        LGPL v2.1 or later
Summary:        Library for accessing MTP Players
Group:          Productivity/Multimedia/Sound/Players

%description -n libmtp8
This package contain the libraries that allow access to USB based media
players based on the MTP (Media TransferProtocol) authored by
Microsoft.

Common devices using this technology are Creative Zen, iRiver, Samsung
and others.



Authors:
--------
    Richard Low <richard@wentnet.com>
    Linus Walleij <triad@df.lth.se>
    
    based on code by:
    Mariusz Woloszyn <emsi@ipartners.pl>
    Marcus Meissner <marcus@jet.franken.de>

%package -n mtp-tools
License:        LGPL v2.1 or later
Summary:        Commandline utilities for access to MTP Players
Group:          Productivity/Multimedia/Sound/Players

%package devel
License:        LGPL v2.1 or later
Summary:        Development files for access to MTP Player library
Group:          Development/Libraries/Other
Requires:       libmtp8 = %version
Requires:       libusb-devel

%description devel
This package contains the development headers for the libmtp library
that allows access to USB based media players based on the MTP (Media
Transfer Protocol) authored by Microsoft.



Authors:
--------
    Richard Low <richard@wentnet.com>
    Linus Walleij <triad@df.lth.se>
    
    based on code by:
    Mariusz Woloszyn <emsi@ipartners.pl>
    Marcus Meissner <marcus@jet.franken.de>

%description -n mtp-tools
This package contains binaries that allow command line access to USB
based media players based on the MTP (Media TransferProtocol) authored
by Microsoft. For graphical user interfaces use Amarok or Banshee.



Authors:
--------
    Richard Low <richard@wentnet.com>
    Linus Walleij <triad@df.lth.se>
    
    based on code by:
    Mariusz Woloszyn <emsi@ipartners.pl>
    Marcus Meissner <marcus@jet.franken.de>

%prep
%setup -q

%build
%configure --program-prefix=mtp- --disable-static
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/
install -c -m 644 libmtp.fdi $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi
rm -rf $RPM_BUILD_ROOT/usr/share/doc/libmtp*
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
for i in delfile getfile newfolder sendfile sendtr
do
	ln -sf /usr/bin/mtp-connect $RPM_BUILD_ROOT/usr/bin/mtp-$i
done

%post -n libmtp8 -p /sbin/ldconfig

%postun -n libmtp8 -p /sbin/ldconfig

%files -n mtp-tools
%defattr(-, root, root)
%{_prefix}/bin/*

%files -n libmtp8
%defattr(-, root, root)
%doc COPYING README ChangeLog AUTHORS
%{_libdir}/lib*.so.*
%dir /usr/share/hal
%dir /usr/share/hal/fdi
%dir /usr/share/hal/fdi/information
%dir /usr/share/hal/fdi/information/20thirdparty/
/usr/share/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi

%files devel
%defattr(-, root, root)
%doc doc/html TODO
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libmtp.pc
%{_prefix}/include/libmtp.h

%changelog
